<?php
/* admin/agi_google_xml_campaigns.php
.---------------------------------------------------------------------------.
|    Software: GOOGLE-Shopping Feed for modified-eCommerce-Shops 2.0        |
|      Author: Andreas Guder                                                |
|     Version: 3.0                                                          |
|     Contact: info@andreas-guder.de / http://www.andreas-guder.de          |
| Copyright (c) 2016, Andreas Guder [info@andreas-guder.de]                 |
|               GNU General Public License  (Version 2)                     |
'--------------------------------------------------------------------------'
*/
  require('includes/application_top.php');
  defined( '_VALID_XTC' ) or die( 'Direct Access to this location is not allowed.' );
  define('FILENAME_AGI_GOOGLE_XML_CAMPAIGNS','agi_google_xml_campaigns.php');
  
$_GET['action'] = (isset($_GET['action']) ? $_GET['action'] : '');
$_GET['page'] = (isset($_GET['page']) ? $_GET['page'] : '');
$_GET['cID'] = (isset($_GET['cID']) ? $_GET['cID'] : '');

switch ($_GET['action']) {
	case 'insert' :
	case 'save' :
		$campaigns_id = xtc_db_prepare_input($_GET['cID']);
		$campaigns_name = xtc_db_prepare_input($_POST['campaigns_name']);
		$campaigns_uripams = xtc_db_prepare_input($_POST['campaigns_uripams']);
		$sql_data_array = array ('campaigns_name' => $campaigns_name, 'campaigns_uripams' => $campaigns_uripams);

		if ($_GET['action'] == 'insert') {
			$insert_sql_data = array ('date_added' => 'now()');
			$sql_data_array = array_merge($sql_data_array, $insert_sql_data);
			xtc_db_perform(TABLE_AGI_CAMPAIGNS, $sql_data_array);
			$campaigns_id = xtc_db_insert_id();
		}
		elseif ($_GET['action'] == 'save') {
			$update_sql_data = array ('last_modified' => 'now()');
			$sql_data_array = array_merge($sql_data_array, $update_sql_data);
			xtc_db_perform(TABLE_AGI_CAMPAIGNS, $sql_data_array, 'update', "campaigns_id = '".xtc_db_input($campaigns_id)."'");
		}

		xtc_redirect(xtc_href_link(FILENAME_AGI_GOOGLE_XML_CAMPAIGNS, 'page='.$_GET['page'].'&cID='.$campaigns_id));
		break;

	case 'deleteconfirm' :

		$campaigns_id = xtc_db_prepare_input($_GET['cID']);

		xtc_db_query("delete from ".TABLE_AGI_CAMPAIGNS." where campaigns_id = '".xtc_db_input($campaigns_id)."'");

		xtc_redirect(xtc_href_link(FILENAME_AGI_GOOGLE_XML_CAMPAIGNS, 'page='.$_GET['page']));
		break;
}

  require (DIR_WS_INCLUDES.'head.php');
?>
<script type="text/javascript" src="includes/general.js"></script>
</head>
<body>
  <!-- header //-->
  <?php require(DIR_WS_INCLUDES . 'header.php'); ?>
  <!-- header_eof //-->
  <!-- body //-->
  <table class="tableBody">
    <tr>
      <?php //left_navigation
      if (USE_ADMIN_TOP_MENU == 'false') {
        echo '<td class="columnLeft2">'.PHP_EOL;
        echo '<!-- left_navigation //-->'.PHP_EOL;       
        require_once(DIR_WS_INCLUDES . 'column_left.php');
        echo '<!-- left_navigation eof //-->'.PHP_EOL; 
        echo '</td>'.PHP_EOL;      
      }
      ?>
      <!-- body_text //-->
      <td class="boxCenter">
        <div class="pageHeadingImage"><?php echo xtc_image(DIR_WS_ICONS.'heading/icon_configuration.png'); ?></div>
        <div class="pageHeading"><?php echo AGI_GOOGLE_CAMPAIGNS_HEADING_TITLE; ?></div>       
        <div class="main pdg2 flt-l"><a href="http://www.andreas-guder.de" onClick="window.open(this.href,'_blank',''); return false;">AGI - Internetagentur Andreas Guder</a></div> 
        <div class="clear">&nbsp;</div>
        <table class="tableCenter">      
          <tr>
            <td class="boxCenterLeft">
              <table class="tableBoxCenter collapse">
                <tr class="dataTableHeadingRow">
                  <td class="dataTableHeadingContent"><?php echo AGI_GOOGLE_CAMPAIGNS_HEADING_CAMPAIGNS_ID; ?></td>
                  <td class="dataTableHeadingContent"><?php echo AGI_GOOGLE_CAMPAIGNS_HEADING_CAMPAIGNS; ?></td>
                  <td class="dataTableHeadingContent txta-r"><?php echo AGI_GOOGLE_CAMPAIGNS_HEADING_ACTION; ?>&nbsp;</td>
                </tr>
              <?php
              $campaigns_query_raw = "select * from ".TABLE_AGI_CAMPAIGNS." order by campaigns_name";
              $campaigns_split = new splitPageResults($_GET['page'], 30, $campaigns_query_raw, $campaigns_query_numrows);
              $campaigns_query = xtc_db_query($campaigns_query_raw);
              while ($campaigns = xtc_db_fetch_array($campaigns_query)) {
                if ((!isset($_GET['cID']) || (isset($_GET['cID']) && ($_GET['cID'] == $campaigns['campaigns_id']))) && !isset($cInfo) && (substr($_GET['action'], 0, 3) != 'new')) {
                  $cInfo = new objectInfo($campaigns);
                }
                if (isset($cInfo) && is_object($cInfo) && ($campaigns['campaigns_id'] == $cInfo->campaigns_id)) {
                  echo '              <tr class="dataTableRowSelected" onmouseover="this.style.cursor=\'pointer\'" onclick="document.location.href=\''.xtc_href_link(FILENAME_AGI_GOOGLE_XML_CAMPAIGNS, 'page='.$_GET['page'].'&cID='.$campaigns['campaigns_id'].'&action=edit').'\'">'."\n";
                } else {
                  echo '              <tr class="dataTableRow" onmouseover="this.className=\'dataTableRowOver\';this.style.cursor=\'pointer\'" onmouseout="this.className=\'dataTableRow\'" onclick="document.location.href=\''.xtc_href_link(FILENAME_AGI_GOOGLE_XML_CAMPAIGNS, 'page='.$_GET['page'].'&cID='.$campaigns['campaigns_id']).'\'">'."\n";
                }
              ?>
                <td class="dataTableContent"><?php echo $campaigns['campaigns_id']; ?></td>
                <td class="dataTableContent"><?php echo $campaigns['campaigns_name']; ?></td>
                <td class="dataTableContent txta-r"><?php if (isset($cInfo) && is_object($cInfo) && ($campaigns['campaigns_id'] == $cInfo->campaigns_id) ) { echo xtc_image(DIR_WS_IMAGES . 'icon_arrow_right.gif', ICON_ARROW_RIGHT); } else { echo '<a href="' . xtc_href_link(FILENAME_AGI_GOOGLE_XML_CAMPAIGNS, 'page=' . $_GET['page'] . '&cID=' . $campaigns['campaigns_id']) . '">' . xtc_image(DIR_WS_IMAGES . 'icon_info.gif', IMAGE_ICON_INFO) . '</a>'; } ?>&nbsp;</td>
              </tr>
              <?php
              }
              ?>
            </table>
              
            <div class="smallText pdg2 flt-l"><?php echo $campaigns_split->display_count($campaigns_query_numrows, 30, $_GET['page'], AGI_GOOGLE_CAMPAIGNS_HEADING_CAMPAIGNS); ?></div>
            <div class="smallText pdg2 flt-r"><?php echo $campaigns_split->display_links($campaigns_query_numrows, 30, MAX_DISPLAY_PAGE_LINKS, $_GET['page']); ?></div>
            <?php
            if (!$_GET['action']) {
            ?>
              <div class="clear"></div>
              <div class="pdg2 flt-r smallText"><?php echo xtc_button_link(BUTTON_INSERT, xtc_href_link(FILENAME_AGI_GOOGLE_XML_CAMPAIGNS, 'page=' . $_GET['page'] . '&action=new')); ?></div>

            <?php
            }
            ?>
            </td>
<?php

$heading = array ();
$contents = array ();
switch ($_GET['action']) {
	case 'new' :
		$heading[] = array ('text' => '<b>'.AGI_GOOGLE_CAMPAIGNS_TEXT_HEADING_NEW_CAMPAIGN.'</b>');

		$contents = array ('form' => xtc_draw_form('campaigns', FILENAME_AGI_GOOGLE_XML_CAMPAIGNS, 'action=insert', 'post'));
		$contents[] = array ('text' => AGI_GOOGLE_CAMPAIGNS_TEXT_NEW_INTRO);
		$contents[] = array ('text' => '<br />'.AGI_GOOGLE_CAMPAIGNS_TEXT_CAMPAIGNS_NAME.'<br />'.xtc_draw_input_field('campaigns_name'));
		$contents[] = array ('text' => '<br />'.AGI_GOOGLE_CAMPAIGNS_TEXT_CAMPAIGNS_PARAMETER.'<br />'.xtc_draw_input_field('campaigns_uripams','','style="width:90%"').'<p>'.AGI_GOOGLE_CAMPAIGNS_DESC_CAMPAIGNS_PARAMETER.'</p>');
		$contents[] = array ('align' => 'center', 'text' => '<br />'.xtc_button(BUTTON_SAVE).'&nbsp;'.xtc_button_link(BUTTON_CANCEL, xtc_href_link(FILENAME_AGI_GOOGLE_XML_CAMPAIGNS, 'page='.$_GET['page'].'&cID='.$_GET['cID'])));
		break;

	case 'edit' :
		$heading[] = array ('text' => '<b>'.AGI_GOOGLE_CAMPAIGNS_TEXT_HEADING_EDIT_CAMPAIGN.'</b>');

		$contents = array ('form' => xtc_draw_form('campaigns', FILENAME_AGI_GOOGLE_XML_CAMPAIGNS, 'page='.$_GET['page'].'&cID='.$cInfo->campaigns_id.'&action=save', 'post'));
		$contents[] = array ('text' => AGI_GOOGLE_CAMPAIGNS_TEXT_EDIT_INTRO);
		$contents[] = array ('text' => '<br />'.AGI_GOOGLE_CAMPAIGNS_TEXT_CAMPAIGNS_NAME.'<br />'.xtc_draw_input_field('campaigns_name', $cInfo->campaigns_name));
		$contents[] = array ('text' => '<br />'.AGI_GOOGLE_CAMPAIGNS_TEXT_CAMPAIGNS_PARAMETER.'<br />'.xtc_draw_input_field('campaigns_uripams', $cInfo->campaigns_uripams,'style="width:90%"').'<p>'.AGI_GOOGLE_CAMPAIGNS_DESC_CAMPAIGNS_PARAMETER.'</p>');
		$contents[] = array ('align' => 'center', 'text' => '<br />'.xtc_button(BUTTON_SAVE).'&nbsp;'.xtc_button_link(BUTTON_CANCEL, xtc_href_link(FILENAME_AGI_GOOGLE_XML_CAMPAIGNS, 'page='.$_GET['page'].'&cID='.$cInfo->campaigns_id)));
		break;

	case 'delete' :
		$heading[] = array ('text' => '<b>'.AGI_GOOGLE_CAMPAIGNS_TEXT_HEADING_DELETE_CAMPAIGN.'</b>');

		$contents = array ('form' => xtc_draw_form('campaigns', FILENAME_AGI_GOOGLE_XML_CAMPAIGNS, 'page='.$_GET['page'].'&cID='.$cInfo->campaigns_id.'&action=deleteconfirm'));
		$contents[] = array ('text' => AGI_GOOGLE_CAMPAIGNS_TEXT_DELETE_INTRO);
		$contents[] = array ('text' => '<br /><b>'.$cInfo->campaigns_name.'</b>');

		$contents[] = array ('align' => 'center', 'text' => '<br />'.xtc_button(BUTTON_DELETE).'&nbsp;'.xtc_button_link(BUTTON_CANCEL, xtc_href_link(FILENAME_AGI_GOOGLE_XML_CAMPAIGNS, 'page='.$_GET['page'].'&cID='.$cInfo->campaigns_id)));
		break;

	default :
		if (isset($cInfo) && is_object($cInfo)) {
			$heading[] = array ('text' => '<b>'.$cInfo->campaigns_name.'</b>');

			$contents[] = array ('align' => 'center', 'text' => xtc_button_link(BUTTON_EDIT, xtc_href_link(FILENAME_AGI_GOOGLE_XML_CAMPAIGNS, 'page='.$_GET['page'].'&cID='.$cInfo->campaigns_id.'&action=edit')).'&nbsp;'.xtc_button_link(BUTTON_DELETE, xtc_href_link(FILENAME_AGI_GOOGLE_XML_CAMPAIGNS, 'page='.$_GET['page'].'&cID='.$cInfo->campaigns_id.'&action=delete')));
			$contents[] = array ('text' => '<br />'.AGI_GOOGLE_CAMPAIGNS_TEXT_DATE_ADDED.' '.xtc_date_short($cInfo->date_added));
			if (xtc_not_null($cInfo->last_modified))
				$contents[] = array ('text' => AGI_GOOGLE_CAMPAIGNS_TEXT_LAST_MODIFIED.' '.xtc_date_short($cInfo->last_modified));
		}
		break;
}

if ((xtc_not_null($heading)) && (xtc_not_null($contents))) {
	echo '            <td width="55%" class="boxRight">'."\n";

	$box = new box;
	echo $box->infoBox($heading, $contents);

	echo '            </td>'."\n";
}
?>
          </tr>
        </table>
      </td>
      <!-- body_text_eof //-->
    </tr>
  </table>
  <!-- body_eof //-->
  <!-- footer //-->
  <?php require(DIR_WS_INCLUDES . 'footer.php'); ?>
  <!-- footer_eof //-->
  <br />
</body>
</html>
<?php require(DIR_WS_INCLUDES . 'application_bottom.php'); ?>