<?php
/* admin/agi_google_xml_taxonomie.php
.---------------------------------------------------------------------------.
|    Software: GOOGLE-Shopping Feed for modified-eCommerce-Shops 2.0        |
|      Author: Andreas Guder                                                |
|     Version: 3.0                                                          |
|     Contact: info@andreas-guder.de / http://www.andreas-guder.de          |
| Copyright (c) 2016, Andreas Guder [info@andreas-guder.de]                 |
|               GNU General Public License  (Version 2)                     |
'--------------------------------------------------------------------------'
*/
  require('includes/application_top.php');
  defined( '_VALID_XTC' ) or die( 'Direct Access to this location is not allowed.' );
  define('FILENAME_AGI_GOOGLE_TAXONOMIE','agi_google_xml_taxonomie.php');
  $_GET['action'] = (isset($_GET['action']) ? $_GET['action'] : '');
  
  $languages = xtc_get_languages();

  function getTaxonomyLangCode($code)
  {
    $tlc = array('de'=>'de-DE','en'=>'en-GB','fr'=>'fr-FR');
    if (array_key_exists($code, $tlc))
      return $tlc[$code];
    return 'en-GB';
  }
$print_error = array();
switch ($_GET['action']) {
  case 'save':
    for ($i = 0, $n = sizeof($languages); $i < $n; $i++) {
      if ($fp = fopen(DIR_FS_DOCUMENT_ROOT.'export/google_taxonomie.'.$languages[$i]['code'].'.txt', 'w')) {
        $prepare_post = str_replace(chr(13).chr(10), chr(10), $_POST['google_cats_'.$languages[$i]['code']]);
        $prepare_post = str_replace(chr(13), chr(10), $prepare_post);
        $prepare_post = preg_replace('/[\\n]{2,}/', chr(10), $prepare_post);
        fwrite($fp, $prepare_post);
        fclose($fp);
      }
      else
        $print_error[] = 'google_taxonomie.'.$languages[$i]['code'].'.txt konnte nicht erstellt werden';
    }
    if (empty($print_error))
      xtc_redirect(FILENAME_AGI_GOOGLE_TAXONOMIE);
  break;
}

// get file_information
$google_text = array();
$google_file = array();
for ($i = 0, $n = sizeof($languages); $i < $n; $i++) {
  $google_text[$languages[$i]['id']] = 'not available';
  $google_file[$languages[$i]['id']] = '';
  if (file_exists(DIR_FS_DOCUMENT_ROOT.'export/google_taxonomie.'.$languages[$i]['code'].'.txt')) {
    $info = filemtime(DIR_FS_DOCUMENT_ROOT.'export/google_taxonomie.'.$languages[$i]['code'].'.txt');
    $google_text[$languages[$i]['id']] = 'Date: '.date('Y-m-d H:i',$info);
    if (!is_writable(DIR_FS_DOCUMENT_ROOT.'export/google_taxonomie.'.$languages[$i]['code'].'.txt'))
      $google_text[$languages[$i]['id']] .= ' NOT writable, please ask your administrator';
    $google_file[$languages[$i]['id']] = file_get_contents(DIR_FS_DOCUMENT_ROOT.'export/google_taxonomie.'.$languages[$i]['code'].'.txt');
  }
  elseif (file_exists(DIR_FS_DOCUMENT_ROOT.'export/google_taxonomie.txt')) {
    $google_file[$languages[$i]['id']] = file_get_contents(DIR_FS_DOCUMENT_ROOT.'export/google_taxonomie.txt');
  }
}
  require (DIR_WS_INCLUDES.'head.php');
?>
<script type="text/javascript" src="includes/general.js"></script>
</head>
<body>
  <!-- header //-->
  <?php require(DIR_WS_INCLUDES . 'header.php'); ?>
  <!-- header_eof //-->
  <!-- body //-->
  <table class="tableBody">
    <tr>
      <?php //left_navigation
      if (USE_ADMIN_TOP_MENU == 'false') {
        echo '<td class="columnLeft2">'.PHP_EOL;
        echo '<!-- left_navigation //-->'.PHP_EOL;       
        require_once(DIR_WS_INCLUDES . 'column_left.php');
        echo '<!-- left_navigation eof //-->'.PHP_EOL; 
        echo '</td>'.PHP_EOL;      
      }
      ?>
      <!-- body_text //-->
      <td class="boxCenter">
        <div class="pageHeadingImage"><?php echo xtc_image(DIR_WS_ICONS.'heading/icon_configuration.png'); ?></div>
        <div class="pageHeading"><?php echo AGI_GOOGLE_TAXONOMIE_HEADING_TITLE; ?></div>       
        <div class="main pdg2 flt-l"><a href="http://www.andreas-guder.de" onClick="window.open(this.href,'_blank',''); return false;">AGI - Internetagentur Andreas Guder</a></div> 
        <div class="clear">&nbsp;</div>
  <script type="text/javascript" src="includes/lang_tabs_menu/lang_tabs_menu.js"></script>
  <?php
  //$langtabs = '<div class="tablangmenu"><ul>';
  $csstabstyle = 'border: 1px solid #aaaaaa; padding: 4px; width: 99%; margin-top: -1px; margin-bottom: 10px; float: left;background: #F3F3F3;';
  $csstab = '<style type="text/css">' .  '#tab_lang_0' . '{display: block;' . $csstabstyle . '}';
  $csstab_nojs = '<style type="text/css">';
  for ($i = 0, $n = sizeof($languages); $i < $n; $i++) {
    $tabtmp = "\'tab_lang_$i\'," ;
    //$langtabs.= '<li onclick="showTab('. $tabtmp. $n.')" style="cursor: pointer;" id="tabselect_' . $i .'">' .xtc_image(DIR_WS_LANGUAGES . $languages[$i]['directory'] .'/admin/images/'. $languages[$i]['image'], $languages[$i]['name']) . ' ' . $languages[$i]['name'].  '</li>';
    if($i > 0) $csstab .= '#tab_lang_' . $i .'{display: none;' . $csstabstyle . '}';
    $csstab_nojs .= '#tab_lang_' . $i .'{display: block;' . $csstabstyle . '}';
  }
  $csstab .= '</style>';
  $csstab_nojs .= '</style>';
  //$langtabs.= '</ul></div>';
  //echo $csstab;
  //echo $langtabs;
  ?>
  <?php if (USE_ADMIN_LANG_TABS != 'false') { ?>
  <script type="text/javascript">
    $.get("includes/lang_tabs_menu/lang_tabs_menu.css", function(css) {
      $("head").append("<style type='text/css'>"+css+"<\/style>");
    });
    document.write('<?php echo ($csstab);?>');
    //alert ("TEST");
  </script>
  <?php 
  } else { 
    echo ($csstab_nojs);
  }
  ?>
  <noscript>
    <?php echo ($csstab_nojs);?>
  </noscript>
  <div style="clear div_box mrg5">
    <div class="tablangmenu">
      <ul>
      <?php for ($i = 0, $n = sizeof($languages); $i < $n; $i++) { ?>
        <li id="agi_lang_tabselect_<?php echo $i; ?>" onclick="agiShowTab('agi_lang',<?php echo $i; ?>,<?php echo $n; ?>)" style="cursor:pointer; <?php echo $i==0 ? ' color:#000;background-color:#d0d0d0;' : ''?>"><?php echo xtc_image(DIR_WS_LANGUAGES . $languages[$i]['directory'] .'/admin/images/'. $languages[$i]['image'], $languages[$i]['name']) . ' ' . $languages[$i]['name']; ?></li>
      <?php } ?>
      </ul>
    </div>
    <?php 
    echo xtc_draw_form('google_taxonomie','agi_google_xml_taxonomie.php','action=save','POST');
    for ($i = 0, $n = sizeof($languages); $i < $n; $i++) { 
      $lng_image = xtc_image(DIR_WS_LANGUAGES . $languages[$i]['directory'] .'/admin/images/'. $languages[$i]['image'], $languages[$i]['name']); 
    ?>
      <div id="agi_lang_tab_<?php echo $i; ?>" style="display:<?php echo $i>0 ? 'none;':'block;';?> border:1px solid #aaa;">
        <table class="infoBoxHeading" width="100%">
          <tr>
            <td width="250">export/google_taxonomie.<?php echo $languages[$i]['code']; ?>.txt</td>
            <td><?php echo $google_text[$languages[$i]['id']]; ?></td>
          </tr>
          <tr>
            <td width="250">Google Taxonomy.<?php echo getTaxonomyLangCode($languages[$i]['code']);?>.txt</td>
            <td><a href="http://www.google.com/basepages/producttype/taxonomy.<?php echo getTaxonomyLangCode($languages[$i]['code']);?>.txt" onclick="window.open(this.href,'_blank',''); return false;">http://www.google.com/basepages/producttype/taxonomy.<?php echo getTaxonomyLangCode($languages[$i]['code']);?>.txt</a></td>
          </tr>
        </table>
        <table width="100%"  border="0" cellspacing="5" cellpadding="0">
          <tr>
            <td class="pageHeading"><?php echo $lng_image.' '.AGI_GOOGLE_TAXONOMIE_FILE; ?>:</td>
          </tr>
          <tr>
            <td class="dataTableHeadingContent">
              <p><?php echo AGI_GOOGLE_TAXONOMIE_DESC; ?></p>
              <?php echo xtc_draw_textarea_field('google_cats_'.$languages[$i]['code'],'', 60, 30, $google_file[$languages[$i]['id']], 'style="width: 90%"'); ?>
            </td>
          </tr>
        </table>
      </div><!-- eof lang-tab -->
    <?php } ?>
      <p><input type="submit" class="button" onclick="this.blur();" value="<?php echo BUTTON_SAVE; ?>" /></p>
    </form>
  </div>


      </td>
      <!-- body_text_eof //-->
    </tr>
  </table>
  <!-- body_eof //-->
  <!-- footer //-->
  <?php require(DIR_WS_INCLUDES . 'footer.php'); ?>
  <!-- footer_eof //-->
  <br />
</body>
</html>
<?php require(DIR_WS_INCLUDES . 'application_bottom.php'); ?>