<?php
/* lang/german/extra/admin/agi_google_xml.php
.---------------------------------------------------------------------------.
|    Software: GOOGLE-Shopping Feed for modified-eCommerce-Shops 2.0        |
|      Author: Andreas Guder                                                |
|     Version: 3.0                                                          |
|     Contact: info@andreas-guder.de / http://www.andreas-guder.de          |
| Copyright (c) 2016, Andreas Guder [info@andreas-guder.de]                 |
|               GNU General Public License  (Version 2)                     |
'--------------------------------------------------------------------------'
*/

define('AGI_GOOGLE_EXPORT_HEADING','Google-Export-Optionen by AGI');
define('AGI_GOOGLE_EXPORT_TOOLTIPP','Konfigurieren Sie das Produkt f&uuml;r den Google-Export.');

define('AGI_GOOGLE_IDENTIFIER_EXISTS_TOOLTIPP', 'Deaktivieren Sie diese Option, wenn es sich um eine Sonderanfertigung handelt und keine GTIN existiert');
define('AGI_GOOGLE_ATTRIBUTE_COLOR_TOOLTIPP', '&Uuml;berschreibt die Attribut-Optionen vom Typ &quot;Farbe&quot;, geben Sie Werte getrennt durch ein Semikolon hintereinander an');
define('AGI_GOOGLE_ATTRIBUTE_SIZE_TOOLTIPP', '&Uuml;berschreibt die Attribut-Optionen vom Typ &quot;Gr&ouml;&szlig;e&quot;, geben Sie Werte getrennt durch ein Semikolon hintereinander an');
define('AGI_GOOGLE_ATTRIBUTE_PATTERN_TOOLTIPP', '&Uuml;berschreibt die Attribut-Optionen vom Typ &quot;Muster&quot;, geben Sie Werte getrennt durch ein Semikolon hintereinander an');
define('AGI_GOOGLE_ATTRIBUTE_MATERIAL_TOOLTIPP', '&Uuml;berschreibt die Attribut-Optionen vom Typ &quot;Material&quot;, geben Sie Werte getrennt durch ein Semikolon hintereinander an');
define('AGI_GOOGLE_ATTRIBUTE_CLOTHING_TOOLTIPP', 'Es handelt sich um ein Kleidungsst&uuml;ck, alle erforderlichen Attribute weren exportiert (Gr&ouml;&szlig;ensystem, Gr&ouml;&szlig;entyp).');
define('AGI_GOOGLE_EXPORT_ALLOWED_TOOLTIPP', 'Das Produkt wird exportiert, wenn es aktiv ist und dieses H&auml;kchen gesetzt ist.');

define('AGI_GOOGLE_EXPORT_ALLOWED', 'Google-Export erlaubt?');
define('AGI_GOOGLE_ADWORDS_GROUPING', 'Adwords Gruppierung');
define('AGI_GOOGLE_ADWORDS_LABELS', 'Adwords Label');
define('AGI_GOOGLE_ADWORDS_REDIRECT', 'Adwords Weiterleitungs-URL');
define('AGI_GOOGLE_EXCLUDED_DESTINATION', 'ausgeschlossen von Google-Zielanwendung');
define('AGI_GOOGLE_MOBILE_LINK', 'Mobile-Link');
define('AGI_GOOGLE_EXPIRATION_DATE', 'Ablaufdatum (JJJJ-MM-TT)');
define('AGI_GOOGLE_ONLINE_ONLY', 'Artikel nur online verf&uuml;gbar');
define('AGI_GOOGLE_CONDITION', 'Zustand');
define('AGI_GOOGLE_CATEGORY', 'Google-Kategorie');
define('AGI_GOOGLE_CONDITION_REFURBISHED', 'erneuert');
define('AGI_GOOGLE_CONDITION_USED', 'gebraucht');
define('AGI_GOOGLE_CONDITION_NEW', 'neu');
define('AGI_GOOGLE_IDENTIFIER_EXISTS', 'Kennzeichnung existiert');
define('AGI_GOOGLE_PRODUCTS_BRAND', 'Marke (alternativ zum Hersteller)');
define('AGI_GOOGLE_ENERGY_EFFICIENCY', 'Energieeffizienzklasse');
define('AGI_GOOGLE_MULTIPACK_AMOUNT', 'Multipack (Anzahl Produkte)');
define('AGI_GOOGLE_ATTRIBUTE_CLOTHING_TITLE', 'Bekleidung');
define('AGI_GOOGLE_ATTRIBUTE_CLOTHING_DESC', 'F&uuml;llen Sie die nachfolgenden Attribut-Felder nur aus, wenn die Werte f&uuml;r den Google-Export notwendig sind und nicht bereits durch zugeordnete Attribute festgelegt sind, oder Sie abweichende Produktattribute exportieren m&ouml;chten. Mehrere Werte k&ouml;nnen durch Semikolon getrennt angegeben werden.');
define('AGI_GOOGLE_ATTRIBUTE_COLOR', 'Attribut: Farbe');
define('AGI_GOOGLE_ATTRIBUTE_SIZE', 'Attribut: Gr&ouml;&szlig;e');
define('AGI_GOOGLE_ATTRIBUTE_PATTERN', 'Attribut: Muster');
define('AGI_GOOGLE_ATTRIBUTE_MATERIAL', 'Attribut: Material');
define('AGI_GOOGLE_ATTRIBUTE_GENDER', 'Attribut: Geschlecht');
define('AGI_GOOGLE_ATTRIBUTE_AGE_GROUP', 'Attribut: Altersgruppe');
define('AGI_GOOGLE_ATTRIBUTE_GENDER_UNISEX', 'Unisex');
define('AGI_GOOGLE_ATTRIBUTE_GENDER_FEMALE', 'Damen');
define('AGI_GOOGLE_ATTRIBUTE_GENDER_MALE', 'Herren');
define('AGI_GOOGLE_ATTRIBUTE_AGE_GROUP_ADULT', 'Erwachsene');
define('AGI_GOOGLE_ATTRIBUTE_AGE_GROUP_KIDS', 'Kinder, bis 13 Jahre');
define('AGI_GOOGLE_ATTRIBUTE_AGE_GROUP_NEWBORN', 'Neugeborene, bis 3 Monate');
define('AGI_GOOGLE_ATTRIBUTE_AGE_GROUP_INFANT', 'S&auml;uglinge, 12 Monate');
define('AGI_GOOGLE_ATTRIBUTE_AGE_GROUP_TODDLER', 'Kleinkinder, bis 5 Jahre');
define('AGI_GOOGLE_CATEGORY_DESC', 'Google-Kategorien werden beim Erstellen der Exportdatei aus den Shopkategorien auf die Produkte vererbt. Geben Sie hier die Google-Kategorie an, wenn diese von der Google-Kategorie der Shopkategorie abweicht.');
define('AGI_GOOGLE_ALTERNATIVE_TITLE', 'abweichender Produkttitel');
define('AGI_GOOGLE_CUSTOM_LABEL', 'Benutzerdefinierte Label');
define('AGI_GOOGLE_ATTRIBUTE_SIZE_TYPE', 'Bekleidung: Gr&ouml;&szlig;entyp');
define('AGI_GOOGLE_ATTRIBUTE_SIZE_SYSTEM', 'Bekleidung: Gr&ouml;&szlig;ensystem');
define('AGI_GOOGLE_ATTRIBUTE_SIZE_TYPE_REGULAR', 'Normalgr&ouml;&szlig;e / regular');
define('AGI_GOOGLE_ATTRIBUTE_SIZE_TYPE_PETITE', 'Kurzgr&ouml;&szlig;e / petite');
define('AGI_GOOGLE_ATTRIBUTE_SIZE_TYPE_PLUS', 'gro&szlig;e Gr&ouml;&szlig;en / plus');
define('AGI_GOOGLE_ATTRIBUTE_SIZE_TYPE_MATERNITY', 'Umstandsgr&ouml;&szlig;e');
define('AGI_GOOGLE_ATTRIBUTE_SIZE_SYSTEM_DEFAULT', 'Standard');
define('AGI_NO_IMAGE_ATTRIBUTES', 'keine Auswahl');
define('AGI_ALL_IMAGE_ATTRIBUTES', 'Alle');

define('AGI_GOOGLE_TABLE_HEADING_GOOGLE_ATTRIBUT', 'entspricht dem Google-Attribut');
define('AGI_GOOGLE_ATTRIBUTE_NO_ATTRIBUTE', 'keine Auswahl');

define('AGI_GOOGLE_SHIPPING_STATUS_GOOGLE_STATUS', 'Google-Status: ');
define('AGI_GOOGLE_STATUS_IN_STOCK', 'auf lager');
define('AGI_GOOGLE_STATUS_AVAILABLE_FOR_ORDER', 'bestellbar');
define('AGI_GOOGLE_STATUS_OUT_OF_STOCK', 'vergriffen');
define('AGI_GOOGLE_STATUS_PREORDER', 'vorbestellt');

define('AGI_GOOGLE_TAXONOMIE_HEADING_TITLE', 'Google Taxonomie');
define('AGI_GOOGLE_TAXONOMIE_FILE','Google Taxonomie Datei');
define('AGI_GOOGLE_TAXONOMIE_DESC', 'Tragen Sie alle ben&ouml;tigten Google-Kategorien ein: einen Pfad je Zeile wie angezeigt, die Umlaute und Sonderzeichen m&uuml;ssen jedoch lesbar sein.');
define('AGI_GOOGLE_TAXONOMIE_FILLIN_BUTTON','Google Kategorie &uuml;bernehmen');

define('AGI_GOOGLE_CAMPAIGNS_HEADING_TITLE', 'Google-Kampagnen-Parameter');
define('AGI_GOOGLE_CAMPAIGNS_HEADING_CAMPAIGNS_ID', 'ID');
define('AGI_GOOGLE_CAMPAIGNS_HEADING_CAMPAIGNS', 'Kampagnen');
define('AGI_GOOGLE_CAMPAIGNS_HEADING_ACTION', 'Aktion');

define('AGI_GOOGLE_CAMPAIGNS_TEXT_HEADING_NEW_CAMPAIGN', 'Neue Kampagne');
define('AGI_GOOGLE_CAMPAIGNS_TEXT_HEADING_EDIT_CAMPAIGN', 'Kampagne bearbeiten');
define('AGI_GOOGLE_CAMPAIGNS_TEXT_HEADING_DELETE_CAMPAIGN', 'Kampagne l&ouml;schen');

define('AGI_GOOGLE_CAMPAIGNS_TEXT_CAMPAIGNS', 'Kampagnen:');
define('AGI_GOOGLE_CAMPAIGNS_TEXT_DATE_ADDED', 'hinzugef&uuml;gt am:');
define('AGI_GOOGLE_CAMPAIGNS_TEXT_LAST_MODIFIED', 'letzte &Auml;nderung am:');

define('AGI_GOOGLE_CAMPAIGNS_TEXT_NEW_INTRO', 'Bitte geben Sie eine neue Kampagne ein.');
define('AGI_GOOGLE_CAMPAIGNS_TEXT_EDIT_INTRO', 'Bitte f&uuml;hren Sie alle notwendigen &Auml;nderungen durch');

define('AGI_GOOGLE_CAMPAIGNS_TEXT_CAMPAIGNS_NAME', 'Kampagnenname:');
define('AGI_GOOGLE_CAMPAIGNS_TEXT_CAMPAIGNS_PARAMETER', 'URL-Parameter:');
define('AGI_GOOGLE_CAMPAIGNS_DESC_CAMPAIGNS_PARAMETER', 'geben Sie die Parameter an, die an die Produkt-URL in den CSV-Dateien angef&uuml;gt werden sollen. Beginnen Sie dabei NICHT mit &quot;&amp;&quot; oder &quot;?&quot;.');

define('AGI_GOOGLE_CAMPAIGNS_TEXT_DELETE_INTRO', 'Sind Sie sicher, dass Sie diese Kampagne l&ouml;schen m&ouml;chten?');
define('AGI_GOOGLE_CAMPAIGNS_TEXT_DISPLAY_NUMBER_OF_CAMPAIGNS', 'angelegte Kampagnen:');
?>