<?php
/* admin/includes/extra/modules/new_category/agi_google_xml.php
.---------------------------------------------------------------------------.
|    Software: GOOGLE-Shopping Feed for modified-eCommerce-Shops 2.0        |
|      Author: Andreas Guder                                                |
|     Version: 3.0                                                          |
|     Contact: info@andreas-guder.de / http://www.andreas-guder.de          |
| Copyright (c) 2016, Andreas Guder [info@andreas-guder.de]                 |
|               GNU General Public License  (Version 2)                     |
'--------------------------------------------------------------------------'
*/
defined( '_VALID_XTC' ) or die( 'Direct Access to this location is not allowed.' );

if (defined('MODULE_AGI_GOOGLE_XML_STATUS') && defined('MODULE_CATEGORIES_AGI_GOOGLE_XML_STATUS') && strtolower(MODULE_CATEGORIES_AGI_GOOGLE_XML_STATUS) == 'true') {
  
  
  $agi_google_cats = array();
  if (!empty($cInfo->categories_id))
  {
    $q = xtc_db_query("SELECT `language_id`, `google_category` FROM `".TABLE_AGI_CATEGORIES_DESCRIPTION_ADD."` WHERE `categories_id`=".$cInfo->categories_id);
    while ($qdata = xtc_db_fetch_array($q))
      $agi_google_cats[$qdata['language_id']] = $qdata['google_category'];
  }
  
  $agi_google_taxonomie_list = array();
  $agi_google_taxonomie_selected = array();
  for ($i = 0, $n = sizeof($languages); $i < $n; $i++) {
    $agi_google_taxonomie_list[$languages[$i]['code']] = array(array('id'=>0, 'text'=>''));
    $agi_google_taxonomie_selected[$languages[$i]['code']] = array_key_exists($languages[$i]['id'], $agi_google_cats) ? $agi_google_cats[$languages[$i]['id']] : '';
    if (file_exists(DIR_FS_DOCUMENT_ROOT.'export/google_taxonomie.'.$languages[$i]['code'].'.txt')) {
      $tmp_data = file(DIR_FS_DOCUMENT_ROOT.'export/google_taxonomie.'.$languages[$i]['code'].'.txt', FILE_IGNORE_NEW_LINES | FILE_SKIP_EMPTY_LINES);
      foreach ($tmp_data as $key => $value) {
        if (strlen($value) > 100) {
          $last = substr($value, -110);
          $parsed_value = '[..] '.substr($last, strpos($last, '>') !== false ? strpos($last, '>')+2 : 0);
        }
        else
          $parsed_value = $value;
        $agi_google_taxonomie_list[$languages[$i]['code']][] = array('id'=>$value, 'text'=>encode_htmlentities($parsed_value));
      }
    }
  }
?>
  <div style="clear div_box mrg5">
    <div class="main div_header"><?php echo AGI_GOOGLE_EXPORT_HEADING. draw_tooltip(AGI_GOOGLE_EXPORT_TOOLTIPP) ?></div>
    <div class="tablangmenu">
      <ul>
      <?php for ($i = 0, $n = sizeof($languages); $i < $n; $i++) { ?>
        <li id="agi_lang_tabselect_<?php echo $i; ?>" onclick="agiShowTab('agi_lang',<?php echo $i; ?>,<?php echo $n; ?>)" style="cursor:pointer; <?php echo $i==0 ? ' color:#000;background-color:#d0d0d0;' : ''?>"><?php echo xtc_image(DIR_WS_LANGUAGES . $languages[$i]['directory'] .'/admin/images/'. $languages[$i]['image'], $languages[$i]['name']) . ' ' . $languages[$i]['name']; ?></li>
      <?php } ?>
      </ul>
    </div>
    <?php 
    for ($i = 0, $n = sizeof($languages); $i < $n; $i++) { 
      $lng_image = xtc_image(DIR_WS_LANGUAGES . $languages[$i]['directory'] .'/admin/images/'. $languages[$i]['image'], $languages[$i]['name']); 
    ?>
      <div id="agi_lang_tab_<?php echo $i; ?>" style="display:<?php echo $i>0 ? 'none;':'block;';?> border:1px solid #aaa;" class="div_box">
        <br /><?php echo $lng_image.' '.AGI_GOOGLE_CATEGORY; ?><br />
        <?php echo  xtc_draw_input_field('google_category_'.$languages[$i]['id'], !empty($agi_google_cats[$languages[$i]['id']]) ? $agi_google_cats[$languages[$i]['id']] : '', 'size="50" style="width: 96%" id="google_category_'.$languages[$i]['id'].'"'); ?><br />
        <br />
        <?php echo xtc_draw_pull_down_menu('agi_taxonomie_select_'.$languages[$i]['id'], $agi_google_taxonomie_list[$languages[$i]['code']], $agi_google_taxonomie_selected[$languages[$i]['code']], 'style="width:95%;" id="agi_taxonomie_select_'.$languages[$i]['id'].'"'); ?><br />
        <?php echo '<a href="#" class="button" title="'.AGI_GOOGLE_TAXONOMIE_FILLIN_BUTTON.'" onclick="agiFillinGoogleCategory('.$languages[$i]['id'].');return false;">'.AGI_GOOGLE_TAXONOMIE_FILLIN_BUTTON.'</a>'; ?>
      </div>
    <?php } ?>
  </div>
<?php } ?>